Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1054053 - [abrt] gnome-calculator: gtk_text_iter_make_real(): gnome-calculator killed by SIGSEGV
Summary: [abrt] gnome-calculator: gtk_text_iter_make_real(): gnome-calculator killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calculator
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ede2a6efa852268af5abbd347c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 07:24 UTC by hage
Modified: 2015-06-29 14:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:29:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.53 KB, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: core_backtrace (16.09 KB, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: dso_list (9.05 KB, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: maps (49.40 KB, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: open_fds (625 bytes, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details
File: var_log_messages (218 bytes, text/plain)
2014-01-16 07:24 UTC, hage
no flags Details

Description hage 2014-01-16 07:24:13 UTC
Description of problem:
1. Open gnome-calculator (in "programming" mode)
2. Click the "log" button
3. Click the "subscript n" button (the one with the arrow down symbol)
4. calculator crashes

Version-Release number of selected component:
gnome-calculator-3.10.2-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gnome-calculator
crash_function: gtk_text_iter_make_real
executable:     /usr/bin/gnome-calculator
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_text_iter_make_real at gtktextiter.c:212
 #1 gtk_text_iter_backward_chars at gtktextiter.c:2367
 #2 gtk_text_iter_backward_char at gtktextiter.c:2254
 #3 math_buttons_remove_trailing_spaces at math-buttons.c:3755
 #4 math_buttons_set_subscript_cb at math-buttons.c:3838
 #5 _math_buttons_set_subscript_cb_gtk_button_clicked at math-buttons.c:1082
 #10 gtk_button_clicked at gtkbutton.c:1434
 #11 gtk_toggle_button_released at gtktogglebutton.c:604
 #16 gtk_button_button_release at gtkbutton.c:1938
 #17 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130

Comment 1 hage 2014-01-16 07:24:18 UTC
Created attachment 850880 [details]
File: backtrace

Comment 2 hage 2014-01-16 07:24:20 UTC
Created attachment 850881 [details]
File: cgroup

Comment 3 hage 2014-01-16 07:24:22 UTC
Created attachment 850882 [details]
File: core_backtrace

Comment 4 hage 2014-01-16 07:24:24 UTC
Created attachment 850883 [details]
File: dso_list

Comment 5 hage 2014-01-16 07:24:26 UTC
Created attachment 850884 [details]
File: exploitable

Comment 6 hage 2014-01-16 07:24:29 UTC
Created attachment 850885 [details]
File: limits

Comment 7 hage 2014-01-16 07:24:31 UTC
Created attachment 850886 [details]
File: maps

Comment 8 hage 2014-01-16 07:24:33 UTC
Created attachment 850887 [details]
File: open_fds

Comment 9 hage 2014-01-16 07:24:35 UTC
Created attachment 850888 [details]
File: proc_pid_status

Comment 10 hage 2014-01-16 07:24:36 UTC
Created attachment 850889 [details]
File: var_log_messages

Comment 11 Bruce Cowan 2014-02-04 18:53:11 UTC
Another user experienced a similar problem:

Trying to do a logarithm of base something that isn't 10

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        gnome-calculator
crash_function: gtk_text_iter_make_real
executable:     /usr/bin/gnome-calculator
kernel:         3.12.8-300.fc20.i686
package:        gnome-calculator-3.10.2-1.fc20
reason:         gnome-calculator killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 12 Bob Doolittle 2015-05-27 15:43:36 UTC
Another user experienced a similar problem:

Trying to take log base 2 of a number. According to Help this can be done by entering 2 as a subscript after the log function.

This fails:

1. Put calculator into Advanced mode
2. Press "log" button
3. Press the subscript button (down-arrow n) to enter a subscript

Crashes reproducibly at this point.

If you press backspace between steps 2 and 3 this works properly. For example this works:

1. Put calculator into Advanced mode
2. Press "log" button
3. Press Backspace key on keyboard
4. Press the subscript button (down-arrow n) to enter a subscript
5. Enter subscript (e.g. 2)
6. Press the subscript again to stop entering subscript
7. Press space
8. Enter argument (e.g. 1024)
9. Press return (result in this example is 10, because log base 2 of 1024 is 10)

If you leave out step 3, the application will crash after step 4.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-calculator
crash_function: gtk_text_iter_make_real
executable:     /usr/bin/gnome-calculator
kernel:         3.19.5-100.fc20.x86_64
package:        gnome-calculator-3.10.2-1.fc20
reason:         gnome-calculator killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            26770

Comment 13 Fedora End Of Life 2015-05-29 10:31:38 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:29:44 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.